Description

KDC itself does not have any identifier. Proposal is to add 'name' attribute in addition to existing 'iedName' and 'apName'.

History

#1 - 09/24/2024 01:51 AM - Carlos Rodriguez del Castillo

- Discuss in Upcoming Meeting changed from No to Yes

#2 - 09/24/2024 08:33 AM - Carlos Rodriguez del Castillo

- Status changed from New to Triage

This issue comes up when you have differente KDC servers in the system, and you need to know which one the client has to use. The proposal is to
add an identifier in SCL to help the client the KDC server to use.
We will ask lvan Goring to attend next meeting and explain the issue to us.

Use Cases:
- Redundant KDC servers
- If the publisher is in another security domain

Is it possible to have multiple KDC servers, one for several groups, other for other several groups?

We need to identify why there could be more than one KDC server for one client.

#3 - 10/22/2024 09:37 AM - Carlos Rodriguez del Castillo
- Category set to Standard extension required

- Status changed from Triage to Resolved

We hade feedback:

"No practical use case regarding that. It's only an improvement request, because according to Standard, it's not prohibited for IED to have multiple
KDC elements.

In this way, similar to other elements (Access Point, IED etc.) it will be nice also to have “name” attribute for KDC"

TFUF:

KDC is identified from iedName+apName, so "name" is not needed, but we identify we need to add "desc" for the user to introduce its own
information.

#4 - 10/22/2024 09:38 AM - Carlos Rodriguez del Castillo

- Discuss in Upcoming Meeting changed from Yes to No
